Tryton Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(910)

Issue 68351002: account_es: Add amount to compensate from previous periods in 303 report (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by pokoli
Modified:
1 month, 3 weeks ago
Reviewers:
rietveld-bot, ced, reviewbot
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : Add company field on print aeat start view #

Patch Set 3 : Use account balance to determine the amount to compensate #

Total comments: 5

Patch Set 4 : Update to tip and remove perenthesis #

Patch Set 5 : Use fixed code and correctly compute balance #

Total comments: 6

Patch Set 6 : Fix comments #

Patch Set 7 : Add compensate scenario #

Total comments: 5

Patch Set 8 : Update to tip #

Patch Set 9 : Install account_invoice on test scenario #

Unified diffs Side-by-side diffs Delta from patch set Stats (+180 lines, -1 line) Patch
M CHANGELOG View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M reporting_tax.py View 1 2 3 4 5 6 7 2 chunks +20 lines, -1 line 0 comments Download
A tests/303_compensate.txt View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
A tests/scenario_reporting_compensate.rst View 1 2 3 4 5 6 7 8 1 chunk +154 lines, -0 lines 0 comments Download
M tests/test_account_es.py View 1 2 3 4 5 6 1 chunk +4 lines, -0 lines 0 comments Download

Messages

Total messages: 30
pokoli
6 months, 2 weeks ago (2018-11-03 17:09:35 UTC) #1
pokoli
Add company field on print aeat start view
6 months, 2 weeks ago (2018-11-03 17:12:17 UTC) #2
reviewbot
https://codereview.tryton.org/68351002/diff/20001/reporting_tax.py#newcode25 reporting_tax.py:25: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
6 months, 2 weeks ago (2018-11-03 17:27:01 UTC) #3
pokoli
Use account balance to determine the amount to compensate
4 months ago (2019-01-21 15:02:10 UTC) #4
reviewbot
https://codereview.tryton.org/68351002/diff/40001/reporting_tax.py#newcode27 reporting_tax.py:27: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
4 months ago (2019-01-21 15:10:25 UTC) #5
ced
https://codereview.tryton.org/68351002/diff/40001/reporting_tax.py File reporting_tax.py (right): https://codereview.tryton.org/68351002/diff/40001/reporting_tax.py#newcode277 reporting_tax.py:277: ], limit=1) It does not feel right to base ...
2 months, 1 week ago (2019-03-10 16:53:26 UTC) #6
pokoli
Update to tip and remove perenthesis
2 months, 1 week ago (2019-03-15 16:19:58 UTC) #7
pokoli
https://codereview.tryton.org/68351002/diff/40001/reporting_tax.py File reporting_tax.py (right): https://codereview.tryton.org/68351002/diff/40001/reporting_tax.py#newcode277 reporting_tax.py:277: ], limit=1) On 2019/03/10 16:53:25, ced wrote: > It ...
2 months, 1 week ago (2019-03-15 16:20:14 UTC) #8
reviewbot
https://codereview.tryton.org/68351002/diff/255171002/reporting_tax.py#newcode27 reporting_tax.py:27: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
2 months, 1 week ago (2019-03-15 16:41:15 UTC) #9
ced
https://codereview.tryton.org/68351002/diff/40001/reporting_tax.py File reporting_tax.py (right): https://codereview.tryton.org/68351002/diff/40001/reporting_tax.py#newcode277 reporting_tax.py:277: ], limit=1) On 2019/03/15 16:20:14, pokoli wrote: > On ...
2 months ago (2019-03-22 15:29:07 UTC) #10
pokoli
Use fixed code and correctly compute balance
2 months ago (2019-03-22 16:57:52 UTC) #11
reviewbot
https://codereview.tryton.org/68351002/diff/259191002/reporting_tax.py#newcode27 reporting_tax.py:27: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
2 months ago (2019-03-22 17:06:52 UTC) #12
ced
https://codereview.tryton.org/68351002/diff/259191002/reporting_tax.py File reporting_tax.py (right): https://codereview.tryton.org/68351002/diff/259191002/reporting_tax.py#newcode273 reporting_tax.py:273: start_periods = LedgerAccount.get_period_ids('start_balance') I'm not sure it is right ...
2 months ago (2019-03-22 18:19:00 UTC) #13
pokoli
Fix comments
2 months ago (2019-03-22 18:48:45 UTC) #14
pokoli
https://codereview.tryton.org/68351002/diff/259191002/reporting_tax.py File reporting_tax.py (right): https://codereview.tryton.org/68351002/diff/259191002/reporting_tax.py#newcode273 reporting_tax.py:273: start_periods = LedgerAccount.get_period_ids('start_balance') On 2019/03/22 18:19:00, ced wrote: > ...
2 months ago (2019-03-22 18:49:36 UTC) #15
reviewbot
https://codereview.tryton.org/68351002/diff/253191002/reporting_tax.py#newcode27 reporting_tax.py:27: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
2 months ago (2019-03-22 19:19:24 UTC) #16
ced
LGTM but will it not be better to update scenario to have a compensate amount?
2 months ago (2019-03-22 23:07:03 UTC) #17
pokoli
Add compensate scenario
1 month, 4 weeks ago (2019-03-24 09:08:28 UTC) #18
pokoli
On 2019/03/22 23:07:03, ced wrote: > LGTM but will it not be better to update ...
1 month, 4 weeks ago (2019-03-24 09:08:57 UTC) #19
reviewbot
https://codereview.tryton.org/68351002/diff/259231002/reporting_tax.py#newcode27 reporting_tax.py:27: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
1 month, 4 weeks ago (2019-03-24 09:11:47 UTC) #20
ced
https://codereview.tryton.org/68351002/diff/259231002/tests/scenario_reporting_compensate.rst File tests/scenario_reporting_compensate.rst (right): https://codereview.tryton.org/68351002/diff/259231002/tests/scenario_reporting_compensate.rst#newcode21 tests/scenario_reporting_compensate.rst:21: >>> config = activate_modules('account_es') Must install account_invoice https://codereview.tryton.org/68351002/diff/259231002/tests/scenario_reporting_compensate.rst#newcode58 tests/scenario_reporting_compensate.rst:58: ...
1 month, 3 weeks ago (2019-03-27 21:58:24 UTC) #21
pokoli
Update to tip
1 month, 3 weeks ago (2019-03-28 09:20:39 UTC) #22
pokoli
https://codereview.tryton.org/68351002/diff/259231002/tests/scenario_reporting_compensate.rst File tests/scenario_reporting_compensate.rst (right): https://codereview.tryton.org/68351002/diff/259231002/tests/scenario_reporting_compensate.rst#newcode21 tests/scenario_reporting_compensate.rst:21: >>> config = activate_modules('account_es') On 2019/03/27 21:58:23, ced wrote: ...
1 month, 3 weeks ago (2019-03-28 09:20:51 UTC) #23
ced
https://codereview.tryton.org/68351002/diff/259231002/tests/scenario_reporting_compensate.rst File tests/scenario_reporting_compensate.rst (right): https://codereview.tryton.org/68351002/diff/259231002/tests/scenario_reporting_compensate.rst#newcode21 tests/scenario_reporting_compensate.rst:21: >>> config = activate_modules('account_es') On 2019/03/28 09:20:51, pokoli wrote: ...
1 month, 3 weeks ago (2019-03-28 09:25:28 UTC) #24
reviewbot
https://codereview.tryton.org/68351002/diff/249181002/reporting_tax.py#newcode27 reporting_tax.py:27: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
1 month, 3 weeks ago (2019-03-28 09:38:13 UTC) #25
pokoli
Install account_invoice on test scenario
1 month, 3 weeks ago (2019-03-28 10:51:59 UTC) #26
reviewbot
https://codereview.tryton.org/68351002/diff/261221002/reporting_tax.py#newcode27 reporting_tax.py:27: E402 module level import not at top of file URL: https://codereview.tryton.org/68351002
1 month, 3 weeks ago (2019-03-28 11:16:05 UTC) #27
ced
LGTM
1 month, 3 weeks ago (2019-03-28 18:14:52 UTC) #28
rietveld-bot_tryton.org
New changeset 4a26449fbf23 by Sergi Almacellas Abellana in branch 'default': Add amount to compensate from ...
1 month, 3 weeks ago (2019-03-30 09:15:18 UTC) #29
rietveld-bot_tryton.org
1 month, 3 weeks ago (2019-03-30 09:15:26 UTC) #30
New changeset 45c87ff585b6 by Sergi Almacellas Abellana in branch 'default':
Add amount to compensate from previous periods in 303 report
https://hg.tryton.org/tryton-env/rev/45c87ff585b6
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 0147766